## ocaml-qcheck 0.8

=== Makefile ===

all: build test

build:
	jbuilder build @install

test:
	jbuilder runtest --no-buffer

clean:
	jbuilder clean

doc:
	jbuilder build @doc

EXAMPLES=$(addprefix example/, QCheck_test.exe QCheck_ounit_test.exe QCheck_runner_test.exe)

examples:
	jbuilder build $(EXAMPLES)

VERSION=$(shell awk '/^version:/ {print $$2}' qcheck.opam)

update_next_tag:
	@echo "update version to $(VERSION)..."
	sed -i "s/NEXT_VERSION/$(VERSION)/g" src/*.ml src/*.mli
	sed -i "s/NEXT_RELEASE/$(VERSION)/g" src/*.ml src/*.mli

release: update_next_tag
	@echo "release version $(VERSION)..."
	git tag -f $(VERSION) ; git push origin :$(VERSION) ; git push origin $(VERSION)
	opam publish prepare https://github.com/c-cube/qcheck/archive/$(VERSION).tar.gz
	@echo "review the release, then type 'opam publish submit qcheck.$(VERSION)/'"


watch:
	while find src/ -print0 | xargs -0 inotifywait -e delete_self -e modify ; do \
		echo "============ at `date` ==========" ; \
		sleep 0.2; \
		make all; \
	done

.PHONY: benchs tests examples update_next_tag watch release

=== docs/Makefile ===

%.html: %.adoc
	asciidoc $< > $@

all: index.html

=== debian/changelog ===
ocaml-qcheck (0.8-1) unstable; urgency=medium

  * Initial release. (Closes: #903371)

 -- Andy Li <andy@onthewings.net>  Wed, 15 Aug 2018 10:14:09 +0800

=== debian/control ===
Source: ocaml-qcheck
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Andy Li <andy@onthewings.net>
Standards-Version: 4.2.0
Build-Depends:
 debhelper (>= 10~),
 dh-ocaml,
 ocaml-nox (>= 4.02.0),
 dune,
 ocaml-findlib,
 opam,
 libounit-ocaml-dev
Homepage: https://github.com/c-cube/qcheck
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-qcheck
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-qcheck.git

Package: libqcheck-ocaml
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Provides:
 ${ocaml:Provides}
Recommends: ocaml-findlib
Description: QuickCheck inspired property-based testing for OCaml (Runtime library)
 This module allows one to check invariants (properties of some types) over
 randomly generated instances of the type. It provides combinators for
 generating instances and printing them.

Package: libqcheck-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Provides:
 ${ocaml:Provides}
Recommends: ocaml-findlib
Description: QuickCheck inspired property-based testing for OCaml (Development package)
 This module allows one to check invariants (properties of some types) over
 randomly generated instances of the type. It provides combinators for
 generating instances and printing them.

Package: libqcheck-ocaml-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Enhances: libqcheck-ocaml-dev
Description: Documentation for ocaml-qcheck
 This module allows one to check invariants (properties of some types) over
 randomly generated instances of the type. It provides combinators for
 generating instances and printing them.
 .
 This package contains documentation for ocaml-qcheck in html format.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=$(CURDIR)/debian/tmp
include /usr/share/ocaml/ocamlvars.mk
export OCAMLFIND_DESTDIR=$(DESTDIR)$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml

override_dh_auto_configure:

override_dh_auto_build:
	jbuilder build @install

override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	jbuilder install --prefix=$(DESTDIR)/usr --libdir=$(OCAMLFIND_DESTDIR) --verbose

override_dh_missing:
	dh_missing --fail-missing

## ocaml-qcheck 0.9

=== Makefile ===
--- 
+++ 
@@ -2,28 +2,35 @@
 all: build test
 
 build:
-	jbuilder build @install
+	@dune build @install
 
 test:
-	jbuilder runtest --no-buffer
+	@dune runtest --no-buffer
 
 clean:
-	jbuilder clean
+	@dune clean
 
 doc:
-	jbuilder build @doc
+	@dune build @doc
 
-EXAMPLES=$(addprefix example/, QCheck_test.exe QCheck_ounit_test.exe QCheck_runner_test.exe)
+example-test:
+	@dune exec example/ounit/QCheck_test.exe
 
-examples:
-	jbuilder build $(EXAMPLES)
+example-ounit-test:
+	@dune exec example/ounit/QCheck_ounit_test.exe
+
+example-runner:
+	@dune exec example/QCheck_runner_test.exe
+
+example-alcotest:
+	@dune exec example/alcotest/QCheck_alcotest_test.exe
 
 VERSION=$(shell awk '/^version:/ {print $$2}' qcheck.opam)
 
 update_next_tag:
 	@echo "update version to $(VERSION)..."
-	sed -i "s/NEXT_VERSION/$(VERSION)/g" src/*.ml src/*.mli
-	sed -i "s/NEXT_RELEASE/$(VERSION)/g" src/*.ml src/*.mli
+	sed -i "s/NEXT_VERSION/$(VERSION)/g" `find src -name '*.ml' -or -name '*.mli'`
+	sed -i "s/NEXT_RELEASE/$(VERSION)/g" `find src -name '*.ml' -or -name '*.mli'`
 
 release: update_next_tag
 	@echo "release version $(VERSION)..."

=== debian/changelog ===
ocaml-qcheck (0.9-2) unstable; urgency=medium

  * Fix install file name for building with the latest version of dune.

 -- Andy Li <andy@onthewings.net>  Mon, 12 Aug 2019 08:27:52 +0800

ocaml-qcheck (0.9-1) unstable; urgency=medium

  * New upstream release.
    + qcheck was split into qcheck, qcheck-core, and qcheck-ounit.
    + Update autopkgtests to build with the new examples.
  * Improve d/rules.
    + Use dune instead of jbuilder in d/rules.
    + Explicitly state what packages to be built. qcheck-alcotest was excluded
      since alcotest has not been packaged in Debian.
  * Bump Standards-Version to 4.3.0 (no changes).
  * Mark libqcheck-ocaml-doc as Multi-Arch: foreign.
  * Replace Build-Depends: opam with opam-installer, which is more accurate.

 -- Andy Li <andy@onthewings.net>  Thu, 31 Jan 2019 19:52:24 +0800

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Andy Li <andy@onthewings.net>
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Build-Depends:
  debhelper (>= 10~),
  dh-ocaml,
  ocaml-nox (>= 4.02.0),
  dune,
  ocaml-findlib,
- opam,
+ opam-installer,
  libounit-ocaml-dev
 Homepage: https://github.com/c-cube/qcheck
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-qcheck
@@ -29,6 +29,8 @@
  This module allows one to check invariants (properties of some types) over
  randomly generated instances of the type. It provides combinators for
  generating instances and printing them.
+ .
+ This is a compatibility library, depends on libqcheck-ocaml.
 
 Package: libqcheck-ocaml-dev
 Architecture: any
@@ -43,10 +45,75 @@
  This module allows one to check invariants (properties of some types) over
  randomly generated instances of the type. It provides combinators for
  generating instances and printing them.
+ .
+ This is a compatibility library, depends on libqcheck-ocaml.
+
+Package: libqcheck-core-ocaml
+Architecture: any
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ ${ocaml:Depends}
+Provides:
+ ${ocaml:Provides}
+Recommends: ocaml-findlib
+Description: QuickCheck inspired property-based testing for OCaml (Runtime library)
+ This module allows one to check invariants (properties of some types) over
+ randomly generated instances of the type. It provides combinators for
+ generating instances and printing them.
+
+Package: libqcheck-core-ocaml-dev
+Architecture: any
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ ${ocaml:Depends}
+Provides:
+ ${ocaml:Provides}
+Recommends: ocaml-findlib
+Description: QuickCheck inspired property-based testing for OCaml (Development package)
+ This module allows one to check invariants (properties of some types) over
+ randomly generated instances of the type. It provides combinators for
+ generating instances and printing them.
+
+Package: libqcheck-ounit-ocaml
+Architecture: any
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ ${ocaml:Depends}
+Provides:
+ ${ocaml:Provides}
+Recommends: ocaml-findlib
+Enhances: ounit
+Description: QCheck integration with OUnit (Runtime library)
+ This module provides QCheck integration with OUnit.
+ .
+ QCheck allows one to check invariants (properties of some types) over
+ randomly generated instances of the type. It provides combinators for
+ generating instances and printing them.
+
+Package: libqcheck-ounit-ocaml-dev
+Architecture: any
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ ${ocaml:Depends}
+Provides:
+ ${ocaml:Provides}
+Recommends: ocaml-findlib
+Enhances: ounit
+Description: QCheck integration with OUnit (Development package)
+ This module provides QCheck integration with OUnit.
+ .
+ QCheck allows one to check invariants (properties of some types) over
+ randomly generated instances of the type. It provides combinators for
+ generating instances and printing them.
 
 Package: libqcheck-ocaml-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Enhances: libqcheck-ocaml-dev
 Description: Documentation for ocaml-qcheck

## ocaml-qcheck 0.11

=== Makefile ===
--- 
+++ 
@@ -35,7 +35,7 @@
 release: update_next_tag
 	@echo "release version $(VERSION)..."
 	git tag -f $(VERSION) ; git push origin :$(VERSION) ; git push origin $(VERSION)
-	opam publish prepare https://github.com/c-cube/qcheck/archive/$(VERSION).tar.gz
+	opam publish https://github.com/c-cube/qcheck/archive/$(VERSION).tar.gz
 	@echo "review the release, then type 'opam publish submit qcheck.$(VERSION)/'"

=== debian/changelog ===
ocaml-qcheck (0.11-1build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:31:12 +0000

ocaml-qcheck (0.11-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1 (no changes).

 -- Andy Li <andy@onthewings.net>  Sat, 09 Nov 2019 14:36:01 +0800

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: ocaml-qcheck
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Andy Li <andy@onthewings.net>
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Build-Depends:
  debhelper (>= 10~),
  dh-ocaml,

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=$(CURDIR)/debian/tmp
include /usr/share/ocaml/ocamlvars.mk
export OCAMLFIND_DESTDIR=$(DESTDIR)$(OCAML_STDLIB_DIR)

comma:= ,
empty:=
space:= $(empty) $(empty)
PACKAGES=qcheck qcheck-core qcheck-ounit

%:
	dh $@ --with ocaml

override_dh_auto_configure:

override_dh_auto_build:
	dune build @install --verbose -p $(subst $(space),$(comma),$(PACKAGES))

override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	dune install --prefix=$(DESTDIR)/usr --libdir=$(OCAMLFIND_DESTDIR) --verbose $(PACKAGES)

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=3
https://github.com/c-cube/qcheck/releases .*/archive/(\d\S*)\.tar\.gz

## ocaml-qcheck 0.14

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	@dune exec example/ounit/QCheck_ounit_test.exe
 
 example-runner:
-	@dune exec example/QCheck_runner_test.exe
+	@dune exec example/QCheck_runner_test.exe -- --debug-shrink=log.tmp
 
 example-alcotest:
 	@dune exec example/alcotest/QCheck_alcotest_test.exe

=== debian/changelog ===
ocaml-qcheck (0.14-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Mon, 17 Aug 2020 13:54:37 +0200

## ocaml-qcheck 0.15

=== Makefile ===
--- 
+++ 
@@ -40,10 +40,6 @@
 
 
 watch:
-	while find src/ -print0 | xargs -0 inotifywait -e delete_self -e modify ; do \
-		echo "============ at `date` ==========" ; \
-		sleep 0.2; \
-		make all; \
-	done
+	@dune build @all -w
 
 .PHONY: benchs tests examples update_next_tag watch release

=== debian/changelog ===
ocaml-qcheck (0.15-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Mon, 21 Sep 2020 06:53:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: ocaml-qcheck
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Andy Li <andy@onthewings.net>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 13),
  dh-ocaml,
  ocaml-nox (>= 4.02.0),
- dune,
+ ocaml-dune,
  ocaml-findlib,
- opam-installer,
- libounit-ocaml-dev
+ libounit-ocaml-dev (>= 2.2.0)
 Homepage: https://github.com/c-cube/qcheck
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-qcheck
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-qcheck.git

=== debian/rules ===
--- 
+++ 
@@ -12,14 +12,9 @@
 %:
 	dh $@ --with ocaml
 
-override_dh_auto_configure:
-
 override_dh_auto_build:
 	dune build @install --verbose -p $(subst $(space),$(comma),$(PACKAGES))
 
 override_dh_auto_install:
 	mkdir -p '$(OCAMLFIND_DESTDIR)'
 	dune install --prefix=$(DESTDIR)/usr --libdir=$(OCAMLFIND_DESTDIR) --verbose $(PACKAGES)
-
-override_dh_missing:
-	dh_missing --fail-missing

=== debian/tests/control ===
Tests: test
Depends: ocaml-nox, ocaml-findlib, dune, @
Restrictions: allow-stderr

## ocaml-qcheck 0.18.1

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	@dune build @install
 
 test:
-	@dune runtest --no-buffer
+	@dune runtest --no-buffer --force
 
 clean:
 	@dune clean
@@ -20,7 +20,7 @@
 	@dune exec example/ounit/QCheck_ounit_test.exe
 
 example-runner:
-	@dune exec example/QCheck_runner_test.exe -- --debug-shrink=log.tmp
+	@dune exec example/QCheck_runner_test.exe -- -v --debug-shrink=log.tmp
 
 example-alcotest:
 	@dune exec example/alcotest/QCheck_alcotest_test.exe
@@ -42,4 +42,4 @@
 watch:
 	@dune build @all -w
 
-.PHONY: benchs tests examples update_next_tag watch release
+.PHONY: benchs test examples update_next_tag watch release

=== debian/changelog ===
ocaml-qcheck (0.18.1-2build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 25 Feb 2022 16:21:21 +0100

ocaml-qcheck (0.18.1-2) unstable; urgency=medium

  * Team upload
  * Ignore test failures

 -- Stéphane Glondu <glondu@debian.org>  Mon, 21 Feb 2022 13:55:15 +0100

ocaml-qcheck (0.18.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Build-Depend on alcotest and enable tests

 -- Stéphane Glondu <glondu@debian.org>  Mon, 21 Feb 2022 04:37:32 +0100

ocaml-qcheck (0.18-2) unstable; urgency=medium

  * Team upload
  * Fix autopkgtest

 -- Stéphane Glondu <glondu@debian.org>  Sat, 11 Dec 2021 23:28:43 +0100

ocaml-qcheck (0.18-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Tue, 30 Nov 2021 08:37:34 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Andy Li <andy@onthewings.net>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-ocaml,
- ocaml-nox (>= 4.02.0),
+ ocaml,
  ocaml-dune,
  ocaml-findlib,
+ libalcotest-ocaml-dev,
  libounit-ocaml-dev (>= 2.2.0)
 Homepage: https://github.com/c-cube/qcheck
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-qcheck

=== debian/watch ===
version=4
https://github.com/c-cube/qcheck/releases .*/v?([0-9.]+)\.tar\.gz

## ocaml-qcheck 0.20

=== debian/changelog ===
ocaml-qcheck (0.20-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit
  * debian/watch: Use GitHub /tags rather than /releases page
  * Remove obsolete field Name from debian/upstream/metadata
  * Update standards version to 4.6.1

 -- Stéphane Glondu <glondu@debian.org>  Sat, 04 Feb 2023 06:46:04 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Andy Li <andy@onthewings.net>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),

=== debian/rules ===
--- 
+++ 
@@ -18,3 +18,7 @@
 override_dh_auto_install:
 	mkdir -p '$(OCAMLFIND_DESTDIR)'
 	dune install --prefix=$(DESTDIR)/usr --libdir=$(OCAMLFIND_DESTDIR) --verbose $(PACKAGES)
+
+override_dh_auto_test:
+# Tests are fragile and fail on many architectures, so we ignore failures
+	dune runtest -p $(subst $(space),$(comma),$(PACKAGES)) || true

## ocaml-qcheck 0.21.2

=== debian/changelog ===
ocaml-qcheck (0.21.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 08 Sep 2023 06:48:03 +0200

ocaml-qcheck (0.21.1-2) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 09:38:58 +0200

ocaml-qcheck (0.21.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Jul 2023 11:58:57 +0200

ocaml-qcheck (0.20-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload

  [ Dan Bungert ]
  * fix autopkgtest - update ocaml-dune test dependency, supply a dune project
    file for examples (Closes: #1040893)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 13 Jul 2023 07:55:52 +0200

## ocaml-qcheck 0.21.3

=== debian/changelog ===
ocaml-qcheck (0.21.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 18 Feb 2024 11:21:39 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Andy Li <andy@onthewings.net>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
- dh-ocaml,
+ dh-ocaml (>= 1.2.2),
  ocaml,
  ocaml-dune,
  ocaml-findlib,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml --buildsystem ocaml_dune

override_dh_auto_test:
# Tests are fragile and fail on many architectures, so we ignore failures
	dh_auto_test || true

## ocaml-qcheck 0.22

=== debian/changelog ===
ocaml-qcheck (0.22-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:38:51 +0200

ocaml-qcheck (0.22-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 13 Jul 2024 08:18:23 +0200

## ocaml-qcheck 0.23

=== debian/changelog ===
ocaml-qcheck (0.23-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Include qcheck-alcotest
  * Use ocaml-odoc
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Sun, 19 Jan 2025 12:04:13 +0100

## ocaml-qcheck 0.24

=== debian/changelog ===
ocaml-qcheck (0.24-1build2) plucky; urgency=medium

  * Rebuild against new ocaml ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Mar 2025 18:49:10 +0100

ocaml-qcheck (0.24-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Mar 2025 18:41:15 +0100

ocaml-qcheck (0.24-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 08 Mar 2025 08:30:54 +0100

=== debian/watch ===
version=4
https://github.com/c-cube/qcheck/tags .*/v?([0-9.]+)\.tar\.gz

## ocaml-qcheck 0.25

=== debian/changelog ===
ocaml-qcheck (0.25-1build4) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 31 Aug 2025 01:28:08 +0200

ocaml-qcheck (0.25-1build3) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 Aug 2025 09:48:51 +0200

ocaml-qcheck (0.25-1build2) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Jun 2025 05:23:26 +0200

ocaml-qcheck (0.25-1build1) questing; urgency=medium

  * Rebuild against latest ocaml libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 06 May 2025 07:43:28 -0400

ocaml-qcheck (0.25-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 08 Apr 2025 08:21:25 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Andy Li <andy@onthewings.net>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -13,6 +13,8 @@
  ocaml-findlib,
  libalcotest-ocaml-dev,
  libounit-ocaml-dev (>= 2.2.0)
+Build-Depends-Indep:
+ ocaml-odoc <!nodoc>
 Homepage: https://github.com/c-cube/qcheck
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-qcheck
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-qcheck.git

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,8 @@
 override_dh_auto_test:
 # Tests are fragile and fail on many architectures, so we ignore failures
 	dh_auto_test || true
+
+execute_after_dh_auto_build-indep:
+ifeq ($(filter nodoc,$(DEB_BUILD_OPTIONS))$(filter nodoc,$(DEB_BUILD_PROFILES)),)
+	dune build -p "$(shell xargs echo < debian/debian-dune | tr ' ' ',')" @doc
+endif

## ocaml-qcheck 0.26

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	@dune build @install
 
 test:
-	@dune runtest --no-buffer --force
+	@dune runtest --force
 
 clean:
 	@dune clean

=== debian/changelog ===
ocaml-qcheck (0.26-2build1) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Oct 2025 14:46:11 +0200

ocaml-qcheck (0.26-2) unstable; urgency=medium

  * Team upload
  * Add libcontainers-ocaml-dev (<< 3.16+dfsg-2~) to Breaks

 -- Stéphane Glondu <glondu@debian.org>  Sun, 14 Sep 2025 09:17:10 +0200

ocaml-qcheck (0.26-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 11 Sep 2025 08:16:21 +0200

=== debian/control ===
--- 
+++ 
@@ -43,6 +43,8 @@
  ${ocaml:Depends}
 Provides:
  ${ocaml:Provides}
+Breaks:
+ libcontainers-ocaml-dev (<< 3.16+dfsg-2~)
 Recommends: ocaml-findlib
 Description: QuickCheck inspired property-based testing for OCaml (Development package)
  This module allows one to check invariants (properties of some types) over

=== debian/tests/control ===
Tests: test
Depends: ocaml-nox, ocaml-findlib, ocaml-dune, @
Restrictions: allow-stderr

## ocaml-qcheck 0.27

=== debian/changelog ===
ocaml-qcheck (0.27-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Switch debian/watch to version 5
  * Bump Standards-Version to 4.7.2
  * Remove Rules-Requires-Root

 -- Stéphane Glondu <glondu@debian.org>  Fri, 28 Nov 2025 09:23:17 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Andy Li <andy@onthewings.net>
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Build-Depends:
  debhelper-compat (= 13),
  dh-ocaml (>= 1.2.2),

## ocaml-qcheck 0.91

=== debian/changelog ===
ocaml-qcheck (0.91-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Mon, 05 Jan 2026 08:28:10 +0100

=== debian/watch ===
Version: 5

Source: https://github.com/c-cube/qcheck/tags
Matching-Pattern: .*/v?([0-9.]+)\.tar\.gz
